SessionCachingFilter.RequestWrapper (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.filter, class: SessionCachingFilter, class: RequestWrapper

Package org.apache.geode.modules.session.filter

# Class SessionCachingFilter.RequestWrapper

java.lang.Object
jakarta.servlet.ServletRequestWrapper
jakarta.servlet.http.HttpServletRequestWrapper
org.apache.geode.modules.session.filter.SessionCachingFilter.RequestWrapper

All Implemented Interfaces:
  `jakarta.servlet.http.HttpServletRequest`, `jakarta.servlet.ServletRequest`

Enclosing class:
  SessionCachingFilter

public static class SessionCachingFilter.RequestWrapper extends jakarta.servlet.http.HttpServletRequestWrapper
This request wrapper class extends the support class HttpServletRequestWrapper, which implements all the methods in the HttpServletRequest interface, as delegations to the wrapped request. You only need to override the methods that you need to change. You can get access to the wrapped request using the method getRequest()

- ## Field Summary

  ### Fields inherited from interface jakarta.servlet.http.HttpServletRequest

  `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRemoteUser()`
  `String`
  `getRequestedSessionId()`
  `jakarta.servlet.http.HttpSession`
  `getSession()`
  `jakarta.servlet.http.HttpSession`
  `getSession(boolean create)`
  Create our own sessions.
  `Principal`
  `getUserPrincipal()`
  `boolean`
  `isRequestedSessionIdFromCookie()`
  `boolean`
  `isRequestedSessionIdFromURL()`
  `boolean`
  `isUserInRole(String role)`

  ### Methods inherited from class jakarta.servlet.http.HttpServletRequestWrapper

  `authenticate, changeSessionId, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getHttpServletMapping, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRequestURI, getRequestURL, getServletPath, getTrailerFields, isRequestedSessionIdValid, isTrailerFieldsReady, login, logout, newPushBuilder, upgrade`

  ### Methods inherited from class jakarta.servlet.ServletRequestWrapper

  `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getProtocolRequestId, getReader, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getRequestId, getScheme, getServerName, getServerPort, getServletConnection, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, isWrapperFor, isWrapperFor, removeAttribute, setAttribute, setCharacterEncoding, setRequest, startAsync, startAsync`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface jakarta.servlet.ServletRequest

  `getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getProtocolRequestId, getReader, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getRequestId, getScheme, getServerName, getServerPort, getServletConnection, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

- ## Method Details

  - ### getSession

    public jakarta.servlet.http.HttpSession getSession()
    Specified by:
      `getSession` in interface `jakarta.servlet.http.HttpServletRequest`
    Overrides:
      `getSession` in class `jakarta.servlet.http.HttpServletRequestWrapper`

  - ### getSession

    public jakarta.servlet.http.HttpSession getSession(boolean create)
    Create our own sessions. TODO: Handle invalidated sessions
    Specified by:
      `getSession` in interface `jakarta.servlet.http.HttpServletRequest`
    Overrides:
      `getSession` in class `jakarta.servlet.http.HttpServletRequestWrapper`
    Returns:
      a HttpSession

  - ### isRequestedSessionIdFromCookie

    public boolean isRequestedSessionIdFromCookie()
    Specified by:
      `isRequestedSessionIdFromCookie` in interface `jakarta.servlet.http.HttpServletRequest`
    Overrides:
      `isRequestedSessionIdFromCookie` in class `jakarta.servlet.http.HttpServletRequestWrapper`

  - ### isRequestedSessionIdFromURL

    public boolean isRequestedSessionIdFromURL()
    Specified by:
      `isRequestedSessionIdFromURL` in interface `jakarta.servlet.http.HttpServletRequest`
    Overrides:
      `isRequestedSessionIdFromURL` in class `jakarta.servlet.http.HttpServletRequestWrapper`

  - ### getRequestedSessionId

    public String getRequestedSessionId()
    Specified by:
      `getRequestedSessionId` in interface `jakarta.servlet.http.HttpServletRequest`
    Overrides:
      `getRequestedSessionId` in class `jakarta.servlet.http.HttpServletRequestWrapper`

  - ### getUserPrincipal

    public Principal getUserPrincipal()
    Specified by:
      `getUserPrincipal` in interface `jakarta.servlet.http.HttpServletRequest`
    Overrides:
      `getUserPrincipal` in class `jakarta.servlet.http.HttpServletRequestWrapper`

  - ### getRemoteUser

    public String getRemoteUser()
    Specified by:
      `getRemoteUser` in interface `jakarta.servlet.http.HttpServletRequest`
    Overrides:
      `getRemoteUser` in class `jakarta.servlet.http.HttpServletRequestWrapper`

  - ### isUserInRole

    public boolean isUserInRole(String role)
    Specified by:
      `isUserInRole` in interface `jakarta.servlet.http.HttpServletRequest`
    Overrides:
      `isUserInRole` in class `jakarta.servlet.http.HttpServletRequestWrapper`